Page MenuHomePhabricator

PDF conversion broken by multicolumn formatting: "Article could not be rendered"
Closed, ResolvedPublic

Description

Author: nrp

Description:
This is my first bug report so forgive me if I screw it up.

We received an e-mail at OTRS (ticket # 2013030410006626) about a problem with the PDF conversion of the Stabat Mater article (http://en.wikipedia.org/wiki/Stabat_Mater)

The error as reported is:

"I've tried to get the PDF of 'Stabat Mater' over the past week. It does not form into a proper PDF with the proper layout - this is the first time I have come across this issue.

The message at the top of the PDF reads: "WARNING: Article could not be rendered - ouputting plain text. Potential causes of the problem are: (a) a bug in the pdf-writer software (b) problematic Mediawiki markup (c) table is too wide" --- this one on attempt dated 04Mar13"

After asking at VPT, another user responded that the culprit is the multi-column formatting in the Text section. I copied the article to a user subpage without the multi-column formatting (http://en.wikipedia.org/wiki/User:Ukexpat/Stabat_Mater) and asked the user who reported the problem to see if it now worked. The user reported back that it does indeed convert to PDF without that formatting.


Version: master
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=29241

Details

Reference
bz45856

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:27 AM
bzimport added a project: Collection.
bzimport set Reference to bz45856.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Mar 7 2013, 6:36 PM

Thanks for taking the time to report this!
Moving to the PDF component.

saper added a comment.Mar 8 2013, 10:53 AM

Created attachment 11895
PDF with an error message

Generated PDF

Attached:

Created attachment 11981
[[w:it:Fausto Coppi]]

Other example from it.wiki, apparently due to templates {{Colonne}}, {{Colonne spezza}} and {{Colonne fine}}.
Reported on https://it.wikipedia.org/wiki/Wikipedia:Bar/Discussioni/il_download_del_pdf_non_funziona.
https://it.wikipedia.org/w/index.php?title=Fausto_Coppi&oldid=57768555

Attached:

Created attachment 11982
[[w:it:Fausto Coppi]] wikitext expanded

Attached:

Jdlrobson added a subscriber: Jdlrobson.

Is this still going to be an issue with the new Proton service?

ovasileva moved this task from Triage to Tracking on the Proton board.Sep 14 2017, 3:50 PM
Jhernandez edited projects, added PDF-Rendering; removed Proton.Feb 25 2019, 7:07 PM
TheDJ closed this task as Resolved.EditedJun 4 2019, 2:51 PM
TheDJ claimed this task.
TheDJ added a subscriber: TheDJ.

Both seem fixed now with Proton PDF rendering. Book rendering not taken into consideration.